Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.1-pleiades.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.1-pleiades.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.1-pleiades.sh	(revision 12168)
@@ -17,8 +17,8 @@
 	cd src
 	./config/configure.py \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-batch=1  \
 		--PETSC_ARCH="$ISSM_ARCH" \
-		--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+		--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 		--with-debugging=no \
 		--with-shared=0 \
@@ -44,8 +44,8 @@
 	cd src
 	./config/configure.py \
-	 --prefix="$ISSM_TIER/externalpackages/petsc/install" \
+	 --prefix="$ISSM_DIR/externalpackages/petsc/install" \
 	 --with-batch=1  \
 	 --PETSC_ARCH="$ISSM_ARCH" \
-	 --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	 --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	 --with-debugging=no \
 	 --with-shared=0 \
@@ -57,5 +57,5 @@
 	 --download-scalapack=yes \
 	 --download-blacs=yes  \
-	 --with-plapack-dir=$ISSM_TIER/externalpackages/petsc/src/$ISSM_ARCH \
+	 --with-plapack-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
 	 --download-parmetis=yes \
 	 --FFLAGS=-I/usr/include \
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.1-win7.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.1-win7.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.1-win7.sh	(revision 12168)
@@ -14,7 +14,7 @@
 ./config/configure.py  \
 	--with-parallel-no \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 	--PETSC_ARCH=cygwin-intel \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-debugging=0 \
 	--with-mpi=0 \
@@ -26,8 +26,8 @@
 
 #./config/configure.py  \
-# --prefix="$ISSM_TIER/externalpackages/petsc/install" \
-# --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+# --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+# --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 # --PETSC_ARCH=macosx-gnu \
-# --with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+# --with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
 # --with-debugging=0 \
 # --with-shared=0 \
@@ -38,5 +38,5 @@
 # --download-f-blas-lapack=yes \
 # --download-plapack=yes \
-# --FFLAGS="-I$ISSM_TIER/externalpackages/mpich2/install/include -arch i386" \
+# --FFLAGS="-I$ISSM_DIR/externalpackages/mpich2/install/include -arch i386" \
 # --COPTFLAGS="-march=opteron -O2 -arch i386" \
 # --FOPTFLAGS="-march=opteron -O2 -arch i386" \
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-greenplanet.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-greenplanet.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-greenplanet.sh	(revision 12168)
@@ -13,6 +13,6 @@
 cd src
 ./config/configure.py \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--PETSC_ARCH="$ISSM_ARCH" \
 	--with-batch=1 \
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-linux64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-linux64.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-linux64.sh	(revision 12168)
@@ -13,9 +13,9 @@
 cd src
 ./config/configure.py \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
 	--with-clanguage=C++ \
 	--PETSC_ARCH=linux-gnu-amd64 \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-debugging=0 \
 	--with-shared-libraries=0 \
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-macosx64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-macosx64.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-macosx64.sh	(revision 12168)
@@ -13,8 +13,8 @@
 cd src
 ./config/configure.py \
-  --prefix="$ISSM_TIER/externalpackages/petsc/install" \
-  --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+  --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+  --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
   --PETSC_ARCH=macosx-gnu \
-  --with-mpi-dir="$ISSM_TIER/externalpackages/mpich2/install" \
+  --with-mpi-dir="$ISSM_DIR/externalpackages/mpich2/install" \
   --with-debugging=0 \
   --with-shared-libraries=0 \
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-pleiades.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-pleiades.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-pleiades.sh	(revision 12168)
@@ -17,8 +17,8 @@
 	cd src
 	./config/configure.py \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-batch=1  \
 		--PETSC_ARCH="$ISSM_ARCH" \
-		--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+		--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 		--with-debugging=0 \
 		--with-shared-libraries=0 \
@@ -44,8 +44,8 @@
 	cd src
 	./config/configure.py \
-	 --prefix="$ISSM_TIER/externalpackages/petsc/install" \
+	 --prefix="$ISSM_DIR/externalpackages/petsc/install" \
 	 --with-batch=1  \
 	 --PETSC_ARCH="$ISSM_ARCH" \
-	 --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	 --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	 --with-debugging=0 \
 	 --with-shared-libraries=0 \
@@ -57,5 +57,5 @@
 	 --download-scalapack=yes \
 	 --download-blacs=yes  \
-	 --with-plapack-dir=$ISSM_TIER/externalpackages/petsc/src/$ISSM_ARCH \
+	 --with-plapack-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
 	 --download-parmetis=yes \
 	 --FFLAGS=-I/usr/include \
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-dev-linux64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-dev-linux64.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-dev-linux64.sh	(revision 12168)
@@ -6,4 +6,5 @@
 	# Adapted from petsc 3.2. 
 	# Used Mercurial to get code
+	rm -rf src
 	hg clone http://petsc.cs.iit.edu/petsc/petsc-dev src
 	cd src
@@ -25,11 +26,12 @@
 
 if [ $STEP -eq 2 ]; then
+	rm -rf install
 	cd src
 	./config/configure.py \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--with-mpi-dir="$ISSM_TIER/externalpackages/mpich2/install" \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir="$ISSM_DIR/externalpackages/mpich2/install" \
 	--with-clanguage=C++ \
 	--PETSC_ARCH=linux-gnu-amd64 \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-debugging=0 \
 	--with-shared-libraries=0 \
@@ -42,4 +44,5 @@
 	--download-plapack=yes \
 	--download-parmetis=yes \
+	--download-spai=yes \
 	--with-pic=1
 
Index: issm/branches/trunk-jpl-damage/externalpackages/pyclips/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/pyclips/install.sh	(revision 12168)
+++ issm/branches/trunk-jpl-damage/externalpackages/pyclips/install.sh	(revision 12168)
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install
+rm -rf pyclips-1.0.7.348
+mkdir install
+
+#Untar 
+tar -zxvf  pyclips-1.0.7.348.tar.gz
+
+#Move pyclips into install directory
+mv pyclips/* install
+rm -rf pyclips
+
+#install
+cd install
+python setup.py build
+sudo python setup.py install
Index: issm/branches/trunk-jpl-damage/externalpackages/python/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/python/install.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/python/install.sh	(revision 12168)
@@ -20,5 +20,5 @@
 #Configure doxygen
 cd src 
-./configure --prefix="$ISSM_TIER/externalpackages/python/install" --enable-framework="$ISSM_TIER/externalpackages/python/install"
+./configure --prefix="$ISSM_DIR/externalpackages/python/install" --enable-framework="$ISSM_DIR/externalpackages/python/install"
 if [ -z $1 ]; then
 	make
Index: issm/branches/trunk-jpl-damage/externalpackages/qhull/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/qhull/install.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/qhull/install.sh	(revision 12168)
@@ -15,5 +15,5 @@
 #Configure qhull
 cd src
-./configure --prefix="$ISSM_TIER/externalpackages/qhull/install"
+./configure --prefix="$ISSM_DIR/externalpackages/qhull/install"
 make
 make install
Index: issm/branches/trunk-jpl-damage/externalpackages/rats/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/rats/install.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/rats/install.sh	(revision 12168)
@@ -12,5 +12,5 @@
 #compile
 cd src
-./configure --prefix=$ISSM_TIER/externalpackages/rats/install
+./configure --prefix=$ISSM_DIR/externalpackages/rats/install
 make
 make install
Index: issm/branches/trunk-jpl-damage/externalpackages/readline/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/readline/install.sh	(revision 12168)
+++ issm/branches/trunk-jpl-damage/externalpackages/readline/install.sh	(revision 12168)
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src
+rm -rf readline-6.2.2
+mkdir src 
+
+#Untar 
+tar -zxvf  readline-6.2.2.tar.gz
+
+#Move readline into src directory
+mv readline-6.2.2/* src
+rm -rf readline-6.2.2
+
+$install
+cd src
+python setup.py install
Index: issm/branches/trunk-jpl-damage/externalpackages/rose/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/rose/install.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/rose/install.sh	(revision 12168)
@@ -15,7 +15,7 @@
 cd build
 ../source/configure \
-	--prefix=$ISSM_TIER/externalpackages/rose/install \
-	--with-boost=$ISSM_TIER/externalpackages/boost/install\
-	--srcdir=$ISSM_TIER/externalpackages/rose/source
+	--prefix=$ISSM_DIR/externalpackages/rose/install \
+	--with-boost=$ISSM_DIR/externalpackages/boost/install\
+	--srcdir=$ISSM_DIR/externalpackages/rose/source
 
 if [ -z $1 ]; then
Index: issm/branches/trunk-jpl-damage/externalpackages/scipy/install-macosx64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/scipy/install-macosx64.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/scipy/install-macosx64.sh	(revision 12168)
@@ -19,6 +19,6 @@
 	#install numpy
 	cd numpy
-	python3.2 setup.py build
-	python3.2 setup.py install
+	python setup.py build
+	python setup.py install
 
 	
@@ -30,6 +30,6 @@
 	#install scipy
 	cd scipy
-	python3.2 setup.py build
-	python3.2 setup.py install
+	python setup.py build
+	python setup.py install
 
 elif [[ $install == "3" ]];then 
Index: issm/branches/trunk-jpl-damage/externalpackages/swig/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/swig/install.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/swig/install.sh	(revision 12168)
@@ -13,14 +13,14 @@
 #Copy pcre prototype in include directory
 cd install 
-#cp $ISSM_TIER/externalpackages/pcre/install/pcre.h  ./Source/Include/
-#cp $ISSM_TIER/externalpackages/pcre/install/.libs/*  ./Source/Include/
-export CFLAGS="$CFLAGS -I$ISSM_TIER/externalpackages/pcre/install"
-export LDFLAGS="-L$ISSM_TIER/externalpackages/pcre/install/.libs/"
+#cp $ISSM_DIR/externalpackages/pcre/install/pcre.h  ./Source/Include/
+#cp $ISSM_DIR/externalpackages/pcre/install/.libs/*  ./Source/Include/
+export CFLAGS="$CFLAGS -I$ISSM_DIR/externalpackages/pcre/install"
+export LDFLAGS="-L$ISSM_DIR/externalpackages/pcre/install/.libs/"
 export LIBS="-lpcre"
 #Configure doxygen
 ./configure \
- --prefix="$ISSM_TIER/externalpackages/python/install" \
- --with-pcre-prefix="$ISSM_TIER/externalpackages/pcre/install" \
- --with-pcre-exec-prefix="$ISSM_TIER/externalpackages/pcre/install"
+ --prefix="$ISSM_DIR/externalpackages/python/install" \
+ --with-pcre-prefix="$ISSM_DIR/externalpackages/pcre/install" \
+ --with-pcre-exec-prefix="$ISSM_DIR/externalpackages/pcre/install"
 make 
 make install
Index: issm/branches/trunk-jpl-damage/externalpackages/tao/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/tao/install.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/tao/install.sh	(revision 12168)
@@ -14,5 +14,5 @@
 rm -rf tao-2.0-p3
 cd install
-export TAO_DIR="$ISSM_TIER/externalpackages/tao/install/"
+export TAO_DIR="$ISSM_DIR/externalpackages/tao/install/"
 
 #petsc needs to be compiled with --with-clanguage=C++
Index: issm/branches/trunk-jpl-damage/externalpackages/triangle/configs/android/android-4.0/configure.make
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/triangle/configs/android/android-4.0/configure.make	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/triangle/configs/android/android-4.0/configure.make	(revision 12168)
@@ -11,8 +11,8 @@
 
 ANDROID_BIN=$(ISSM_TIER)/src/android/tmp/android-14-toolchain/bin
-CC=$(ANDROID_DEV_DIR)/tmp/android-linux-4.0/bin/arm-linux-androideabi-gcc
-AR=$(ANDROID_DEV_DIR)/tmp/android-linux-4.0/bin/arm-linux-androideabi-ar
-RANLIB=$(ANDROID_DEV_DIR)/tmp/android-linux-4.0/bin/arm-linux-androideabi-ranlib
-CSWITCHES = $(CFLAGS)  -I/usr/X11R6/include -L/usr/X11R6/lib -I$(MATLAB_DIR)/extern/include -fPIC -I$(MATLAB_DIR)/include
+CC=$(ANDROID_DIR)/arm-linux-android-4.0/bin/arm-linux-androideabi-gcc
+AR=$(ANDROID_DIR)/arm-linux-android-4.0/bin/arm-linux-androideabi-ar
+RANLIB=$(ANDROID_DIR)/arm-linux-android-4.0/bin/arm-linux-androideabi-ranlib
+CSWITCHES = $(CFLAGS)
 TRILIBDEFS = -DTRILIBRARY
 OBJ_EXT=o
Index: issm/branches/trunk-jpl-damage/externalpackages/triangle/triangle.c.patch.python
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/triangle/triangle.c.patch.python	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/triangle/triangle.c.patch.python	(revision 12168)
@@ -5,6 +5,6 @@
 >  * double precision activation in exactinit(); The rest is not changed. 
 >  * We also created the ice_makefile to compile Triangle into a library. */
-> #include <mat.h>
-> #include <matrix.h>
+> /* #include <mat.h>
+> #include <matrix.h> */
 > #define ANSI_DECLARATORS
 > #define NO_TIMER
Index: issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-altix64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-altix64.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-altix64.sh	(revision 12168)
@@ -14,5 +14,5 @@
 #configure
 cd install
-./configure --prefix="$ISSM_TIER/externalpackages/valgrind/install"
+./configure --prefix="$ISSM_DIR/externalpackages/valgrind/install"
 
 #Compile valgrind
Index: issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-linux64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-linux64.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-linux64.sh	(revision 12168)
@@ -14,5 +14,5 @@
 #configure
 cd install
-./configure  --prefix="$ISSM_TIER/externalpackages/valgrind/install"
+./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install"
 
 #Compile valgrind
Index: issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-macosx32.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-macosx32.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-macosx32.sh	(revision 12168)
@@ -14,5 +14,5 @@
 #configure
 cd install
-./configure  --prefix="$ISSM_TIER/externalpackages/valgrind/install" --enable-only32bit
+./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install" --enable-only32bit
 
 #Compile valgrind
Index: issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-macosx64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-macosx64.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-macosx64.sh	(revision 12168)
@@ -14,5 +14,5 @@
 #configure
 cd install
-./configure  --prefix="$ISSM_TIER/externalpackages/valgrind/install" --enable-only64bit
+./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install" --enable-only64bit
 
 #Compile valgrind
Index: issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-win32.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-win32.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/valgrind/install-win32.sh	(revision 12168)
@@ -14,5 +14,5 @@
 #configure
 cd install
-./configure  --prefix="$ISSM_TIER/externalpackages/valgrind/install"
+./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install"
 
 #Compile valgrind
Index: issm/branches/trunk-jpl-damage/externalpackages/vim/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/vim/install.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/externalpackages/vim/install.sh	(revision 12168)
@@ -19,5 +19,5 @@
 cd src/src 
 ./configure \
-	--prefix "$ISSM_TIER/externalpackages/vim/install" \
+	--prefix "$ISSM_DIR/externalpackages/vim/install" \
 	--with-gcc "/usr/bin/gcc"
 
